import type { SliderMarks } from './interface';
import type { Placement } from '@fz-design/fz-popperjs';
import type { Arrayable } from '../../..';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<Arrayable<number>>;
        readonly default: 0;
    };
    readonly id: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly min: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly step: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly showInput: BooleanConstructor;
    readonly showInputControls: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly size: {
        readonly type: StringConstructor;
    };
    readonly inputSize: {
        readonly type: StringConstructor;
    };
    readonly showStops: BooleanConstructor;
    readonly showTooltip: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly formatTooltip: {
        readonly type: PropType<(val: number) => string | number>;
        readonly default: undefined;
    };
    readonly disabled: BooleanConstructor;
    readonly range: BooleanConstructor;
    readonly vertical: BooleanConstructor;
    readonly height: StringConstructor;
    readonly debounce: {
        readonly type: NumberConstructor;
        readonly default: 300;
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly rangeStartLabel: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly rangeEndLabel: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly formatValueText: {
        readonly type: PropType<(val: number) => string>;
        readonly default: undefined;
    };
    readonly tooltipClass: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly placement: {
        readonly type: PropType<Placement>;
        readonly default: "top";
    };
    readonly marks: {
        readonly type: PropType<SliderMarks>;
    };
    readonly validateEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    "update:modelValue": (value: Arrayable<number>) => boolean;
    input: (value: Arrayable<number>) => boolean;
    change: (value: Arrayable<number>) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<Arrayable<number>>;
        readonly default: 0;
    };
    readonly id: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly min: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    readonly step: {
        readonly type: NumberConstructor;
        readonly default: 1;
    };
    readonly showInput: BooleanConstructor;
    readonly showInputControls: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly size: {
        readonly type: StringConstructor;
    };
    readonly inputSize: {
        readonly type: StringConstructor;
    };
    readonly showStops: BooleanConstructor;
    readonly showTooltip: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly formatTooltip: {
        readonly type: PropType<(val: number) => string | number>;
        readonly default: undefined;
    };
    readonly disabled: BooleanConstructor;
    readonly range: BooleanConstructor;
    readonly vertical: BooleanConstructor;
    readonly height: StringConstructor;
    readonly debounce: {
        readonly type: NumberConstructor;
        readonly default: 300;
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly rangeStartLabel: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly rangeEndLabel: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly formatValueText: {
        readonly type: PropType<(val: number) => string>;
        readonly default: undefined;
    };
    readonly tooltipClass: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly placement: {
        readonly type: PropType<Placement>;
        readonly default: "top";
    };
    readonly marks: {
        readonly type: PropType<SliderMarks>;
    };
    readonly validateEvent: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: Arrayable<number>) => any) | undefined;
    onChange?: ((value: Arrayable<number>) => any) | undefined;
    onInput?: ((value: Arrayable<number>) => any) | undefined;
}, {
    readonly disabled: boolean;
    readonly vertical: boolean;
    readonly id: string;
    readonly modelValue: Arrayable<number>;
    readonly validateEvent: boolean;
    readonly label: string;
    readonly max: number;
    readonly min: number;
    readonly step: number;
    readonly range: boolean;
    readonly showInput: boolean;
    readonly showInputControls: boolean;
    readonly showStops: boolean;
    readonly showTooltip: boolean;
    readonly formatTooltip: (val: number) => string | number;
    readonly debounce: number;
    readonly rangeStartLabel: string;
    readonly rangeEndLabel: string;
    readonly formatValueText: (val: number) => string;
    readonly tooltipClass: string;
    readonly placement: Placement;
}, {}>;
export default _sfc_main;
