import { defineComponent as k, shallowRef as v, ref as m, computed as E, watch as R, onMounted as W, watchEffect as H, openBlock as I, createElementBlock as N, normalizeClass as S, unref as b, normalizeStyle as y, createElementVNode as q, renderSlot as A } from "vue";
import { useWindowSize as F, useElementBounding as $, useEventListener as L } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_core@10.5.0_vue@3.3.4/node_modules/@vueuse/core/index.js";
import { Props as M, Emits as P } from "./index3.js";
import { useNamespace as U } from "../../../hooks/index11.js";
import { addUnit as V, getScrollContainer as Y } from "../../../utils/util/index.js";
import { throwError as j } from "../../../utils/console/index.js";
var Z = /* @__PURE__ */ k({
  name: "FzAffix",
  __name: "affix",
  props: M,
  emits: P,
  setup(z, { expose: T, emit: p }) {
    const e = z, f = U("affix"), a = v(), i = v(), l = v(), { height: r } = F(), {
      height: n,
      width: d,
      top: h,
      bottom: g,
      update: c
    } = $(i, { windowScroll: !1 }), s = $(a), o = m(!1), x = m(0), u = m(0), _ = E(() => ({
      height: o.value ? `${n.value}px` : "",
      width: o.value ? `${d.value}px` : ""
    })), B = E(() => {
      if (!o.value)
        return {};
      const t = e.offset ? V(e.offset) : 0;
      return {
        height: `${n.value}px`,
        width: `${d.value}px`,
        top: e.position === "top" ? t : "",
        bottom: e.position === "bottom" ? t : "",
        transform: u.value ? `translateY(${u.value}px)` : "",
        zIndex: e.zIndex
      };
    }), w = () => {
      if (l.value)
        if (x.value = l.value instanceof Window ? document.documentElement.scrollTop : l.value.scrollTop || 0, e.position === "top")
          if (e.target) {
            const t = s.bottom.value - e.offset - n.value;
            o.value = e.offset > h.value && s.bottom.value > 0, u.value = t < 0 ? t : 0;
          } else
            o.value = e.offset > h.value;
        else if (e.target) {
          const t = r.value - s.top.value - e.offset - n.value;
          o.value = r.value - e.offset < g.value && r.value > s.top.value, u.value = t < 0 ? -t : 0;
        } else
          o.value = r.value - e.offset < g.value;
    }, C = () => {
      c(), p("scroll", {
        scrollTop: x.value,
        fixed: o.value
      });
    };
    return R(o, (t) => p("change", t)), W(() => {
      e.target ? (a.value = document.querySelector(e.target) ?? void 0, a.value || j(f.b(), `Target is not existed: ${e.target}`)) : a.value = document.documentElement, l.value = Y(i.value, !0), c();
    }), L(l, "scroll", C), H(w), T({
      /** @description update affix status */
      update: w,
      /** @description update rootRect info */
      updateRoot: c
    }), (t, D) => (I(), N("div", {
      ref_key: "root",
      ref: i,
      class: S(b(f).b()),
      style: y(_.value)
    }, [
      q("div", {
        class: S({ [b(f).m("fixed")]: o.value }),
        style: y(B.value)
      }, [
        A(t.$slots, "default")
      ], 6)
    ], 6));
  }
});
export {
  Z as default
};
