import { defineComponent as D, reactive as P, toRefs as z, openBlock as N, createElementBlock as T, normalizeClass as f, unref as e, normalizeStyle as c, createVNode as F, withCtx as g, createElementVNode as b, toDisplayString as K } from "vue";
import { sliderButtonProps as X, sliderButtonEmits as Y } from "./index4.js";
import { useSliderButton as L } from "../hooks/index6.js";
import { FzTooltip as R } from "../../../tooltip/index.js";
import { useNamespace as j } from "../../../../hooks/index11.js";
const q = ["tabindex"];
var O = /* @__PURE__ */ D({
  name: "ElSliderButton",
  __name: "button",
  props: X,
  emits: Y,
  setup(v, { expose: w, emit: y }) {
    const p = v, u = j("slider"), d = P({
      hovering: !1,
      dragging: !1,
      isClick: !1,
      startX: 0,
      currentX: 0,
      startY: 0,
      currentY: 0,
      startPosition: 0,
      newPosition: 0,
      oldValue: p.modelValue
    }), {
      disabled: B,
      button: k,
      tooltip: V,
      showTooltip: C,
      tooltipVisible: E,
      wrapperStyle: M,
      formatValue: S,
      handleMouseEnter: s,
      handleMouseLeave: r,
      onButtonDown: n,
      onKeyDown: l,
      setPosition: x
    } = L(p, d, y), { hovering: i, dragging: a } = z(d);
    return w({
      onButtonDown: n,
      onKeyDown: l,
      setPosition: x,
      hovering: i,
      dragging: a
    }), (m, t) => (N(), T("div", {
      ref_key: "button",
      ref: k,
      class: f([e(u).e("button-wrapper"), { hover: e(i), dragging: e(a) }]),
      style: c(e(M)),
      tabindex: e(B) ? -1 : 0,
      onMouseenter: t[0] || (t[0] = //@ts-ignore
      (...o) => e(s) && e(s)(...o)),
      onMouseleave: t[1] || (t[1] = //@ts-ignore
      (...o) => e(r) && e(r)(...o)),
      onMousedown: t[2] || (t[2] = //@ts-ignore
      (...o) => e(n) && e(n)(...o)),
      onTouchstart: t[3] || (t[3] = //@ts-ignore
      (...o) => e(n) && e(n)(...o)),
      onFocus: t[4] || (t[4] = //@ts-ignore
      (...o) => e(s) && e(s)(...o)),
      onBlur: t[5] || (t[5] = //@ts-ignore
      (...o) => e(r) && e(r)(...o)),
      onKeydown: t[6] || (t[6] = //@ts-ignore
      (...o) => e(l) && e(l)(...o))
    }, [
      F(e(R), {
        ref_key: "tooltip",
        ref: V,
        visible: e(E),
        placement: m.placement,
        "fallback-placements": ["top", "bottom", "right", "left"],
        "stop-popper-mouse-event": !1,
        "popper-class": m.tooltipClass,
        disabled: !e(C),
        persistent: ""
      }, {
        content: g(() => [
          b("span", null, K(e(S)), 1)
        ]),
        default: g(() => [
          b("div", {
            class: f([e(u).e("button"), { hover: e(i), dragging: e(a) }])
          }, null, 2)
        ]),
        _: 1
      }, 8, ["visible", "placement", "popper-class", "disabled"])
    ], 46, q));
  }
});
export {
  O as default
};
