import { defineComponent as oe, reactive as ne, computed as s, toRefs as M, provide as se, openBlock as o, createElementBlock as n, unref as e, normalizeClass as d, createElementVNode as k, normalizeStyle as f, createVNode as ue, createBlock as R, createCommentVNode as h, Fragment as L, renderList as B } from "vue";
import { Props as de, Emits as me } from "./index3.js";
import U from "./components/index.js";
import pe from "./components/index2.js";
import { useSlide as ve } from "./hooks/index.js";
import { useStops as ce } from "./hooks/index2.js";
import { useMarks as fe } from "./hooks/index3.js";
import { useWatch as be } from "./hooks/index4.js";
import { useLifecycle as ge } from "./hooks/index5.js";
import { useNamespace as ye } from "../../../hooks/index11.js";
import { useLocale as Se } from "../../../hooks/index9.js";
import { useFormItemInputId as Ve } from "../../form/src/hooks/index2.js";
import { useFormSize as ke } from "../../form/src/hooks/index.js";
import { FZ_SLIDER_INJECT_KEY as Le } from "../../../constants/index2.js";
const we = ["id", "role", "aria-label", "aria-labelledby"], Ie = { key: 1 };
var xe = /* @__PURE__ */ oe({
  name: "FzSlider",
  __name: "slider",
  props: de,
  emits: me,
  setup($, { expose: x, emit: T }) {
    const l = $, t = ye("slider"), { t: w } = Se(), u = ne({
      firstValue: 0,
      secondValue: 0,
      oldValue: 0,
      dragging: !1,
      sliderSize: 1
    }), {
      fzFormItem: b,
      slider: K,
      firstButton: P,
      secondButton: J,
      sliderDisabled: g,
      minValue: C,
      maxValue: E,
      runwayStyle: Y,
      barStyle: Z,
      resetSize: F,
      emitChange: j,
      onSliderWrapperPrevent: y,
      onSliderClick: q,
      onSliderDown: S,
      setFirstValue: A,
      setSecondValue: G
    } = ve(l, u, T), { stops: H, getStopStyle: I } = ce(l, u, C, E), { inputId: D, isLabeledByFormItem: V } = Ve(l, {
      formItemContext: b
    }), O = ke(), N = s(() => l.label || w("el.slider.defaultLabel", {
      min: l.min,
      max: l.max
    })), Q = s(() => l.range ? l.rangeStartLabel || w("el.slider.defaultRangeStartLabel") : N.value), X = s(() => l.formatValueText ? l.formatValueText(m.value) : `${m.value}`), _ = s(() => l.rangeEndLabel || w("el.slider.defaultRangeEndLabel")), ee = s(() => l.formatValueText ? l.formatValueText(p.value) : `${p.value}`), ae = s(() => [
      t.b(),
      t.m(O.value),
      t.is("vertical", l.vertical),
      { [t.m("with-input")]: l.showInput }
    ]), z = fe(l);
    be(l, u, C, E, T, b);
    const le = s(() => {
      const a = [l.min, l.max, l.step].map((i) => {
        const v = `${i}`.split(".")[1];
        return v ? v.length : 0;
      });
      return Math.max.apply(null, a);
    }), { sliderWrapper: re } = ge(l, u, F), { firstValue: m, secondValue: p, sliderSize: te } = M(u), ie = (a) => {
      u.dragging = a;
    };
    return se(Le, {
      ...M(l),
      sliderSize: te,
      disabled: g,
      precision: le,
      emitChange: j,
      resetSize: F,
      updateDragging: ie
    }), x({
      onSliderClick: q
    }), (a, i) => {
      var v, W;
      return o(), n("div", {
        id: a.range ? e(D) : void 0,
        ref_key: "sliderWrapper",
        ref: re,
        class: d(ae.value),
        role: a.range ? "group" : void 0,
        "aria-label": a.range && !e(V) ? N.value : void 0,
        "aria-labelledby": a.range && e(V) ? (v = e(b)) == null ? void 0 : v.labelId : void 0,
        onTouchstart: i[2] || (i[2] = //@ts-ignore
        (...r) => e(y) && e(y)(...r)),
        onTouchmove: i[3] || (i[3] = //@ts-ignore
        (...r) => e(y) && e(y)(...r))
      }, [
        k("div", {
          ref_key: "slider",
          ref: K,
          class: d([
            e(t).e("runway"),
            { "show-input": a.showInput && !a.range },
            e(t).is("disabled", e(g))
          ]),
          style: f(e(Y)),
          onMousedown: i[0] || (i[0] = //@ts-ignore
          (...r) => e(S) && e(S)(...r)),
          onTouchstart: i[1] || (i[1] = //@ts-ignore
          (...r) => e(S) && e(S)(...r))
        }, [
          k("div", {
            class: d(e(t).e("bar")),
            style: f(e(Z))
          }, null, 6),
          ue(U, {
            id: a.range ? void 0 : e(D),
            ref_key: "firstButton",
            ref: P,
            "model-value": e(m),
            vertical: a.vertical,
            "tooltip-class": a.tooltipClass,
            placement: a.placement,
            role: "slider",
            "aria-label": a.range || !e(V) ? Q.value : void 0,
            "aria-labelledby": !a.range && e(V) ? (W = e(b)) == null ? void 0 : W.labelId : void 0,
            "aria-valuemin": a.min,
            "aria-valuemax": a.range ? e(p) : a.max,
            "aria-valuenow": e(m),
            "aria-valuetext": X.value,
            "aria-orientation": a.vertical ? "vertical" : "horizontal",
            "aria-disabled": e(g),
            "onUpdate:modelValue": e(A)
          }, null, 8, ["id", "model-value", "vertical", "tooltip-class", "placement", "aria-label", "aria-labelledby", "aria-valuemin", "aria-valuemax", "aria-valuenow", "aria-valuetext", "aria-orientation", "aria-disabled", "onUpdate:modelValue"]),
          a.range ? (o(), R(U, {
            key: 0,
            ref_key: "secondButton",
            ref: J,
            "model-value": e(p),
            vertical: a.vertical,
            "tooltip-class": a.tooltipClass,
            placement: a.placement,
            role: "slider",
            "aria-label": _.value,
            "aria-valuemin": e(m),
            "aria-valuemax": a.max,
            "aria-valuenow": e(p),
            "aria-valuetext": ee.value,
            "aria-orientation": a.vertical ? "vertical" : "horizontal",
            "aria-disabled": e(g),
            "onUpdate:modelValue": e(G)
          }, null, 8, ["model-value", "vertical", "tooltip-class", "placement", "aria-label", "aria-valuemin", "aria-valuemax", "aria-valuenow", "aria-valuetext", "aria-orientation", "aria-disabled", "onUpdate:modelValue"])) : h("", !0),
          a.showStops ? (o(), n("div", Ie, [
            (o(!0), n(L, null, B(e(H), (r, c) => (o(), n("div", {
              key: c,
              class: d(e(t).e("stop")),
              style: f(e(I)(r))
            }, null, 6))), 128))
          ])) : h("", !0),
          e(z).length > 0 ? (o(), n(L, { key: 2 }, [
            k("div", null, [
              (o(!0), n(L, null, B(e(z), (r, c) => (o(), n("div", {
                key: c,
                style: f(e(I)(r.position)),
                class: d([e(t).e("stop"), e(t).e("marks-stop")])
              }, null, 6))), 128))
            ]),
            k("div", {
              class: d(e(t).e("marks"))
            }, [
              (o(!0), n(L, null, B(e(z), (r, c) => (o(), R(e(pe), {
                key: c,
                mark: r.mark,
                style: f(e(I)(r.position))
              }, null, 8, ["mark", "style"]))), 128))
            ], 2)
          ], 64)) : h("", !0)
        ], 38)
      ], 42, we);
    };
  }
});
export {
  xe as default
};
