import { UPDATE_MODEL_EVENT as a, INPUT_EVENT as l, CHANGE_EVENT as r } from "../../../constants/index.js";
import { isNumber as o, isArray as i } from "../../../utils/lodash/index2.js";
const u = {
  modelValue: {
    type: [Number, Array],
    default: 0
  },
  id: {
    type: String,
    default: void 0
  },
  min: {
    type: Number,
    default: 0
  },
  max: {
    type: Number,
    default: 100
  },
  step: {
    type: Number,
    default: 1
  },
  showInput: Boolean,
  showInputControls: {
    type: Boolean,
    default: !0
  },
  size: {
    type: String
  },
  inputSize: {
    type: String
  },
  showStops: Boolean,
  showTooltip: {
    type: Boolean,
    default: !0
  },
  formatTooltip: {
    type: Function,
    default: void 0
  },
  disabled: Boolean,
  range: Boolean,
  vertical: Boolean,
  height: String,
  debounce: {
    type: Number,
    default: 300
  },
  label: {
    type: String,
    default: void 0
  },
  rangeStartLabel: {
    type: String,
    default: void 0
  },
  rangeEndLabel: {
    type: String,
    default: void 0
  },
  formatValueText: {
    type: Function,
    default: void 0
  },
  tooltipClass: {
    type: String,
    default: void 0
  },
  placement: {
    type: String,
    default: "top"
  },
  marks: {
    type: Object
  },
  validateEvent: {
    type: Boolean,
    default: !0
  }
}, e = (t) => o(t) || i(t) && t.every(o), d = {
  [a]: e,
  [l]: e,
  [r]: e
};
export {
  d as Emits,
  u as Props
};
