import { defineComponent as q, useAttrs as J, ref as Q, shallowRef as N, computed as l, watch as X, onMounted as Z, nextTick as p, openBlock as T, createElementBlock as V, normalizeClass as S, createElementVNode as $, mergeProps as ee, unref as s, normalizeStyle as te, toDisplayString as z, createCommentVNode as ae } from "vue";
import { Props as oe } from "./index3.js";
import { calcTextareaHeight as k } from "./index4.js";
import { UPDATE_MODEL_EVENT as f, CHANGE_EVENT as h, INPUT_EVENT as y, BLUR_EVENT as re, FOCUS_EVENT as le } from "../../../constants/index.js";
import { useNamespace as se } from "../../../hooks/index11.js";
import { useFormItem as ne } from "../../form/src/hooks/index2.js";
import { isNil as ue, isClient as ie, isObject as F } from "../../../utils/lodash/index2.js";
import { useFocusController as ce } from "../../../hooks/index5.js";
import { warning as B } from "../../../utils/console/index.js";
import { useCursor as de } from "../../../hooks/index2.js";
const me = ["tabindex", "disabled", "readonly", "autocomplete", "aria-label", "placeholder", "autofocus"];
var Ce = /* @__PURE__ */ q({
  name: "FzTextarea",
  __name: "textarea",
  props: oe,
  emits: [
    f,
    h,
    y,
    re,
    le,
    "keydown",
    "clear"
  ],
  setup(R, { expose: H, emit: r }) {
    const a = R, n = se("textarea"), L = J(), D = Q(), o = N(), d = N({}), { formItem: u } = ne(), i = l(
      () => ue(a.modelValue) ? "" : String(a.modelValue)
    ), x = l(() => i.value.length), v = l(() => a.disabled), b = l(
      () => !!a.maxlength && !v.value && !a.readonly
    ), I = l(
      () => (
        // show exceed style if length of initial value greater then maxlength
        !!b.value && x.value > Number(a.maxlength)
      )
    ), P = l(() => [
      a.textareaStyle,
      d.value,
      { resize: a.resize }
    ]), U = l(() => [
      n.b(),
      n.is("disabled", v.value),
      n.is("exceed", I.value)
    ]), { handleFocus: g, handleBlur: E } = ce(
      o,
      {
        afterBlur() {
          var e;
          a.validateEvent && ((e = u == null ? void 0 : u.validate) == null || e.call(u, "blur").catch((t) => B(n.b(), t)));
        }
      }
    ), [_, A] = de(o), m = () => {
      const e = o.value, t = a.formatter ? a.formatter(i.value) : i.value;
      !e || e.value === t || (e.value = t);
    }, w = () => {
      const { autosize: e } = a;
      if (ie)
        if (e) {
          const t = F(e) ? e.minRows : void 0, c = F(e) ? e.maxRows : void 0, C = k(o.value, t, c);
          d.value = {
            overflowY: "hidden",
            ...C
          }, p(() => {
            o.value.offsetHeight, d.value = C;
          });
        } else
          d.value = {
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            minHeight: k(o.value).minHeight
          };
    }, O = async (e) => {
      _();
      let { value: t } = e.target;
      if (a.formatter && (t = a.parser ? a.parser(t) : t), t === i.value) {
        m();
        return;
      }
      r(f, t), r(y, t), await p(), m(), A();
    }, K = (e) => {
      r(h, e.target.value);
    }, M = (e) => {
      r("keydown", e);
    }, j = () => {
      var e;
      (e = o.value) == null || e.select();
    }, G = () => {
      r(f, ""), r(h, ""), r(y, ""), r("clear");
    }, W = async () => {
      var e;
      await p(), (e = o.value) == null || e.focus();
    }, Y = () => {
      var e;
      return (e = o.value) == null ? void 0 : e.blur();
    };
    return X(i, () => m()), Z(() => {
      !a.formatter && a.parser && B("FzTextarea", "If you set the parser, you also need to set the formatter."), m(), p(w);
    }), H({
      textarea: o,
      /**  HTML input element native method */
      focus: W,
      /**  HTML input element native method */
      blur: Y,
      /**  HTML input element native method */
      select: j,
      /**  clear input value */
      clear: G,
      /**  resize textarea. */
      resizeTextarea: w
    }), (e, t) => (T(), V("div", {
      class: S(U.value)
    }, [
      $("textarea", ee({
        ref_key: "textarea",
        ref: o,
        class: s(n).e("inner"),
        style: P.value
      }, s(L), {
        tabindex: e.tabindex,
        disabled: v.value,
        readonly: e.readonly,
        autocomplete: e.autocomplete,
        "aria-label": e.label,
        placeholder: e.placeholder,
        autofocus: e.autofocus,
        onInput: O,
        onFocus: t[0] || (t[0] = //@ts-ignore
        (...c) => s(g) && s(g)(...c)),
        onBlur: t[1] || (t[1] = //@ts-ignore
        (...c) => s(E) && s(E)(...c)),
        onChange: K,
        onKeydown: M
      }), null, 16, me),
      b.value ? (T(), V("span", {
        key: 0,
        style: te(D.value),
        class: S(s(n).e("count"))
      }, z(x.value) + " / " + z(e.maxlength), 7)) : ae("", !0)
    ], 2));
  }
});
export {
  Ce as default
};
