import type { IconSlotType } from '../..';
import type { SwapType } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Swap from "./src/swap";
export declare const FzSwap: Install<DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
    readonly size: {
        readonly type: PropType<string | number>;
    };
    readonly type: {
        readonly type: PropType<SwapType>;
    };
    readonly iconOn: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly iconOff: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly activeValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: true;
    };
    readonly inactiveValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "change")[], "update:modelValue" | "change", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
    readonly size: {
        readonly type: PropType<string | number>;
    };
    readonly type: {
        readonly type: PropType<SwapType>;
    };
    readonly iconOn: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly iconOff: {
        readonly type: PropType<IconSlotType>;
        readonly default: () => any;
    };
    readonly activeValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: true;
    };
    readonly inactiveValue: {
        readonly type: PropType<string | number | boolean>;
        readonly default: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    readonly modelValue: string | number | boolean;
    readonly activeValue: string | number | boolean;
    readonly inactiveValue: string | number | boolean;
    readonly iconOn: IconSlotType;
    readonly iconOff: IconSlotType;
}, {}>>;
export type SwapInstance = InstanceType<typeof Swap>;
export * from './src/interface';
export default FzSwap;
