import type { CSSProperties, ComputedRef } from 'vue';
import type { SliderProps } from '../props';
import type { SliderInitData } from '../interface';
interface Stops {
    stops: ComputedRef<number[]>;
    getStopStyle: (position: number) => CSSProperties;
}
export declare const useStops: (props: SliderProps, initData: SliderInitData, minValue: ComputedRef<number>, maxValue: ComputedRef<number>) => Stops;
export {};
