import { isNumber as r, isBoolean as e } from "../../../utils/lodash/index2.js";
import { CHANGE_EVENT as i } from "../../../constants/index.js";
const f = {
  /**
   * @description affix element zIndex value
   * */
  zIndex: {
    type: [Number, String],
    default: 100
  },
  /**
   * @description target container. (CSS selector)
   */
  target: {
    type: String,
    default: ""
  },
  /**
   * @description offset distance
   * */
  offset: {
    type: Number,
    default: 0
  },
  /**
   * @description position of affix
   * */
  position: {
    type: String,
    default: "top"
  }
}, m = {
  scroll: ({ scrollTop: t, fixed: o }) => r(t) && e(o),
  [i]: (t) => e(t)
};
export {
  m as Emits,
  f as Props
};
