import { defineComponent as Ce, useSlots as ke, useAttrs as xe, shallowRef as Ee, ref as $, computed as t, watch as B, nextTick as D, onMounted as Ve, withDirectives as Se, openBlock as i, createElementBlock as f, mergeProps as H, normalizeClass as r, unref as s, renderSlot as S, createCommentVNode as p, createElementVNode as g, createBlock as I, Fragment as Fe, toDisplayString as X, vShow as Ne } from "vue";
import { Props as Pe, Emits as Ae } from "./index3.js";
import { useAttrs as Te } from "../../../hooks/index.js";
import { useFocusController as $e } from "../../../hooks/index5.js";
import Be from "../../../../fz-design-icon/src/icon-eye/index.js";
import De from "../../../../fz-design-icon/src/icon-eye-off/index.js";
import { useCursor as Me } from "../../../hooks/index2.js";
import { FzSvgIcon as C } from "../../svg-icon/index.js";
import ze from "../../../../fz-design-icon/src/icon-x-circle/index.js";
import { useNamespace as Ke } from "../../../hooks/index11.js";
import { useFormItem as Le, useFormItemInputId as Re } from "../../form/src/hooks/index2.js";
import { useFormSize as Oe, useFormDisabled as Ue } from "../../form/src/hooks/index.js";
import { warning as M } from "../../../utils/console/index.js";
import { isNil as We } from "../../../utils/lodash/index2.js";
import { UPDATE_MODEL_EVENT as q, INPUT_EVENT as J, CHANGE_EVENT as Q } from "../../../constants/index.js";
const je = ["role"], Ge = ["id", "type", "disabled", "formatter", "parser", "readonly", "autocomplete", "tabindex", "aria-label", "placeholder", "form", "autofocus"];
var ra = /* @__PURE__ */ Ce({
  name: "FzInput",
  inheritAttrs: !1,
  __name: "input",
  props: Pe,
  emits: Ae,
  setup(Y, { expose: Z, emit: u }) {
    const a = Y, _ = {}, o = Ke("input"), v = ke(), m = xe(), c = Ee(), F = $(!1), y = $(!1), k = $(!1), z = t(() => {
      const e = {};
      return a.containerRole === "combobox" && (e["aria-haspopup"] = m["aria-haspopup"], e["aria-owns"] = m["aria-owns"], e["aria-expanded"] = m["aria-expanded"]), e;
    }), ee = t(() => [
      o.b(),
      o.m(se.value),
      o.is("disabled", h.value),
      o.is("exceed", ue.value),
      {
        [o.b("group")]: v.prepend || v.append,
        [o.bm("group", "append")]: v.append,
        [o.bm("group", "prepend")]: v.prepend,
        [o.m("prefix")]: v.prefix || a.prefixIcon,
        [o.m("suffix")]: v.suffix || a.suffixIcon || a.clearable || a.showPassword,
        [o.bm("suffix", "password-clear")]: E.value && A.value
      },
      m.class
    ]), ae = t(() => [o.e("wrapper"), o.is("focus", P.value)]), x = Te({
      excludeKeys: t(() => Object.keys(z.value))
    }), { form: N, formItem: l } = Le(), { inputId: oe } = Re(a, {
      formItemContext: l
    }), se = Oe(), h = Ue(), ne = t(() => a.showPassword ? k.value ? "text" : "password" : a.type), { wrapperRef: te, isFocused: P, handleFocus: K, handleBlur: L } = $e(c, {
      afterBlur() {
        var e;
        a.validateEvent && ((e = l == null ? void 0 : l.validate) == null || e.call(l, "blur").catch((n) => M(o.b(), n)));
      }
    }), R = t(() => (N == null ? void 0 : N.statusIcon) ?? !1), w = t(() => (l == null ? void 0 : l.validateState) || ""), O = t(
      () => w.value && _[w.value]
    ), le = t(() => k.value ? Be : De), re = t(() => [
      m.style,
      a.inputStyle
    ]), d = t(
      () => We(a.modelValue) ? "" : String(a.modelValue)
    ), E = t(
      () => a.clearable && !h.value && !a.readonly && !!d.value && (P.value || F.value)
    ), A = t(
      () => a.showPassword && !h.value && !a.readonly && !!d.value && (!!d.value || P.value)
    ), V = t(
      () => a.showWordLimit && !!x.value.maxlength && a.type === "text" && !h.value && !a.readonly && !a.showPassword
    ), U = t(() => d.value.length), ue = t(
      () => (
        // show exceed style if length of initial value greater then maxlength
        !!V.value && U.value > Number(x.value.maxlength)
      )
    ), ie = t(
      () => !!v.suffix || !!a.suffixIcon || E.value || a.showPassword || V.value || !!w.value && R.value
    ), [pe, ce] = Me(c), b = () => {
      const e = c.value, n = a.formatter ? a.formatter(d.value) : d.value;
      !e || e.value === n || (e.value = n);
    }, W = async (e) => {
      pe();
      let { value: n } = e.target;
      if (a.formatter && (n = a.parser ? a.parser(n) : n), !y.value) {
        if (n === d.value) {
          b();
          return;
        }
        u(q, n), u(J, n), await D(), b(), ce();
      }
    }, de = (e) => {
      u(Q, e.target.value);
    }, ve = (e) => {
      u("compositionstart", e), y.value = !0;
    }, fe = (e) => {
      u("compositionupdate", e), y.value = !0;
    }, me = (e) => {
      u("compositionend", e), y.value && (y.value = !1, W(e));
    }, ye = () => {
      k.value = !k.value, j();
    }, j = async () => {
      var e;
      await D(), (e = c.value) == null || e.focus();
    }, he = () => {
      var e;
      return (e = c.value) == null ? void 0 : e.blur();
    }, we = (e) => {
      F.value = !1, u("mouseleave", e);
    }, be = (e) => {
      F.value = !0, u("mouseenter", e);
    }, ge = (e) => {
      u("keydown", e);
    }, Ie = () => {
      var e;
      (e = c.value) == null || e.select();
    }, G = (e) => {
      e.preventDefault(), u(q, ""), u(Q, ""), u(J, ""), u("clear");
    };
    return B(
      () => a.modelValue,
      () => {
        var e;
        a.validateEvent && ((e = l == null ? void 0 : l.validate) == null || e.call(l, "change").catch((n) => M(o.b(), n)));
      }
    ), B(d, () => b()), B(
      () => a.type,
      async () => {
        await D(), b();
      }
    ), Ve(() => {
      !a.formatter && a.parser && M("FzInput", "If you set the parser, you also need to set the formatter."), b();
    }), Z({
      /** @description HTML input element */
      input: c,
      /** @description HTML input element native method */
      focus: j,
      /** @description HTML input element native method */
      blur: he,
      /** @description HTML input element native method */
      select: Ie,
      /** @description clear input value */
      clear: G
    }), (e, n) => Se((i(), f("div", H(z.value, {
      class: ee.value,
      style: re.value,
      role: e.containerRole,
      onMouseenter: be,
      onMouseleave: we
    }), [
      e.$slots.prepend ? (i(), f("div", {
        key: 0,
        class: r(s(o).be("group", "prepend"))
      }, [
        S(e.$slots, "prepend")
      ], 2)) : p("", !0),
      g("div", {
        ref_key: "wrapperRef",
        ref: te,
        class: r(ae.value)
      }, [
        e.$slots.prefix || e.prefixIcon ? (i(), f("span", {
          key: 0,
          class: r(s(o).e("prefix"))
        }, [
          g("span", {
            class: r(s(o).e("prefix-inner"))
          }, [
            S(e.$slots, "prefix"),
            e.prefixIcon ? (i(), I(s(C), {
              key: 0,
              icon: e.prefixIcon,
              class: r(s(o).e("icon"))
            }, null, 8, ["icon", "class"])) : p("", !0)
          ], 2)
        ], 2)) : p("", !0),
        g("input", H({
          id: s(oe),
          ref_key: "input",
          ref: c,
          class: s(o).e("inner")
        }, s(x), {
          type: ne.value,
          disabled: s(h),
          formatter: e.formatter,
          parser: e.parser,
          readonly: e.readonly,
          autocomplete: e.autocomplete,
          tabindex: e.tabindex,
          "aria-label": e.label,
          placeholder: e.placeholder,
          style: e.inputStyle,
          form: a.form,
          autofocus: e.autofocus,
          onCompositionstart: ve,
          onCompositionupdate: fe,
          onCompositionend: me,
          onInput: W,
          onFocus: n[0] || (n[0] = //@ts-ignore
          (...T) => s(K) && s(K)(...T)),
          onBlur: n[1] || (n[1] = //@ts-ignore
          (...T) => s(L) && s(L)(...T)),
          onChange: de,
          onKeydown: ge
        }), null, 16, Ge),
        ie.value ? (i(), f("span", {
          key: 1,
          class: r(s(o).e("suffix"))
        }, [
          g("span", {
            class: r(s(o).e("suffix-inner"))
          }, [
            !E.value || !A.value || !V.value ? (i(), f(Fe, { key: 0 }, [
              S(e.$slots, "suffix"),
              e.suffixIcon ? (i(), I(s(C), {
                key: 0,
                icon: e.suffixIcon,
                class: r(s(o).e("icon"))
              }, null, 8, ["icon", "class"])) : p("", !0)
            ], 64)) : p("", !0),
            E.value ? (i(), I(s(C), {
              key: 1,
              class: r([s(o).e("icon"), s(o).e("clear")]),
              icon: s(ze),
              onClick: G
            }, null, 8, ["class", "icon"])) : p("", !0),
            A.value ? (i(), I(s(C), {
              key: 2,
              class: r([s(o).e("icon"), s(o).e("password")]),
              icon: le.value,
              onClick: ye
            }, null, 8, ["class", "icon"])) : p("", !0),
            V.value ? (i(), f("span", {
              key: 3,
              class: r(s(o).e("count"))
            }, [
              g("span", {
                class: r(s(o).e("count-inner"))
              }, X(U.value) + " / " + X(s(x).maxlength), 3)
            ], 2)) : p("", !0),
            w.value && O.value && R.value ? (i(), I(s(C), {
              key: 4,
              class: r([
                s(o).e("icon"),
                s(o).e("validateIcon"),
                s(o).is("loading", w.value === "validating")
              ]),
              icon: O.value
            }, null, 8, ["class", "icon"])) : p("", !0)
          ], 2)
        ], 2)) : p("", !0)
      ], 2),
      e.$slots.append ? (i(), f("div", {
        key: 1,
        class: r(s(o).be("group", "append"))
      }, [
        S(e.$slots, "append")
      ], 2)) : p("", !0)
    ], 16, je)), [
      [Ne, e.type !== "hidden"]
    ]);
  }
});
export {
  ra as default
};
