import { isNumber as t } from "../../../utils/lodash/index2.js";
const r = {
  /** 开始的动画数字 */
  from: {
    type: Number,
    default: 0
  },
  /** 结束的动画数字 */
  to: {
    type: Number
  },
  /** 尺寸 */
  size: {
    type: String,
    default: ""
  },
  /** 类型 */
  type: {
    type: String,
    default: ""
  },
  /**
   * 执行动画结束的大概时间
   *
   * 准确时间由浏览器的下一侦渲染决定
   */
  duration: {
    type: Number,
    default: 2e3
  },
  /** 对数字决定金额格式化 */
  formatter: {
    type: Function,
    default: (e) => e.toLocaleString()
  },
  /** 样式列表 */
  styles: {
    type: Object
  },
  /** 是否初始化自动播放 */
  autoplay: {
    type: Boolean,
    default: !0
  },
  /** 是否循环播放 */
  loop: {
    type: Boolean,
    default: !1
  },
  /** 自动播放间隔时间 ms */
  interval: {
    type: Number,
    default: 3e3
  }
}, a = {
  /** 动画结束触发函数 */
  end: (e) => t(e)
};
export {
  a as Emits,
  r as Props
};
