const t = {
  boundariesPadding: {
    type: Number,
    default: 0
  },
  fallbackPlacements: {
    type: Array,
    default: void 0
  },
  gpuAcceleration: {
    type: Boolean,
    default: !0
  },
  /**
   * @description offset of the Tooltip
   */
  offset: {
    type: Number,
    default: 12
  },
  /**
   * @description position of Tooltip
   */
  placement: {
    type: String,
    default: "bottom"
  },
  /**
   * @description [popper.js](https://popper.js.org/docs/v2/) parameters
   */
  popperOptions: {
    type: Object,
    default: () => ({})
  },
  strategy: {
    type: String,
    default: "absolute"
  }
}, r = {
  ...t,
  id: String,
  style: {
    type: [String, Array, Object]
  },
  className: {
    type: [String, Array, Object]
  },
  effect: {
    type: String,
    default: "dark"
  },
  visible: Boolean,
  enterable: {
    type: Boolean,
    default: !0
  },
  pure: Boolean,
  focusOnShow: {
    type: Boolean,
    default: !1
  },
  trapping: {
    type: Boolean,
    default: !1
  },
  popperClass: {
    type: [String, Array, Object]
  },
  popperStyle: {
    type: [String, Array, Object]
  },
  referenceEl: {
    type: Object
  },
  triggerTargetEl: {
    type: Object
  },
  stopPopperMouseEvent: {
    type: Boolean,
    default: !0
  },
  ariaLabel: {
    type: String,
    default: void 0
  },
  virtualTriggering: Boolean,
  zIndex: Number
}, o = {
  mouseenter: (e) => e instanceof MouseEvent,
  mouseleave: (e) => e instanceof MouseEvent,
  focus: () => !0,
  blur: () => !0,
  close: () => !0
};
export {
  o as popperContentEmits,
  r as popperContentProps,
  t as popperCoreConfigProps
};
