import { defineComponent as j, inject as D, ref as L, provide as R, onMounted as U, watch as f, unref as e, onBeforeUnmount as V, openBlock as G, createElementBlock as H, mergeProps as Q, createVNode as X, withCtx as h, renderSlot as g } from "vue";
import W from "../../../focus-trap/src/index.js";
import { popperContentProps as ee, popperContentEmits as oe } from "./index2.js";
import { usePopperContentFocusTrap as te } from "../hooks/index3.js";
import { usePopperContent as re } from "../hooks/index.js";
import { usePopperContentDOM as ne } from "../hooks/index2.js";
import { NOOP as I } from "../../../../utils/util/index.js";
import { FZ_FORM_ITEM_INJECT_KEY as P, FZ_POPPER_CONTENT_INJECT_KEY as se } from "../../../../constants/index2.js";
import { isElement as C, isNil as pe } from "../../../../utils/lodash/index2.js";
var Fe = /* @__PURE__ */ j({
  name: "FzPopperContent",
  __name: "content",
  props: ee,
  emits: oe,
  setup(E, { expose: b, emit: T }) {
    const o = E, {
      focusStartRef: _,
      trapped: i,
      onFocusAfterReleased: A,
      onFocusAfterTrapped: O,
      onFocusInTrap: M,
      onFocusoutPrevented: N,
      onReleaseRequested: w
    } = te(o, T), { attributes: y, arrowRef: q, contentRef: p, styles: x, instanceRef: B, role: d, update: Z } = re(o), {
      ariaModal: $,
      arrowStyle: k,
      contentAttrs: z,
      contentClass: J,
      contentStyle: m,
      updateZIndex: K
    } = ne(o, {
      styles: x,
      attributes: y,
      role: d
    }), a = D(P, void 0), S = L();
    R(se, {
      arrowStyle: k,
      arrowRef: q,
      arrowOffset: S
    }), a && (a.addInputId || a.removeInputId) && R(P, {
      ...a,
      addInputId: I,
      removeInputId: I
    });
    let t;
    const c = (n = !0) => {
      Z(), n && K();
    }, Y = () => {
      c(!1), o.visible && o.focusOnShow ? i.value = !0 : o.visible === !1 && (i.value = !1);
    };
    return U(() => {
      f(
        () => o.triggerTargetEl,
        (n, s) => {
          t == null || t(), t = void 0;
          const r = e(n || p.value), l = e(s || p.value);
          C(r) && (t = f(
            [
              d,
              () => o.ariaLabel,
              $,
              () => o.id
            ],
            (u) => {
              ["role", "aria-label", "aria-modal", "id"].forEach((v, F) => {
                pe(u[F]) ? r.removeAttribute(v) : (
                  // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
                  r.setAttribute(v, u[F])
                );
              });
            },
            { immediate: !0 }
          )), l !== r && C(l) && ["role", "aria-label", "aria-modal", "id"].forEach((u) => {
            l.removeAttribute(u);
          });
        },
        { immediate: !0 }
      ), f(() => o.visible, Y, { immediate: !0 });
    }), V(() => {
      t == null || t(), t = void 0;
    }), b({
      /**
       * @description popper content element
       */
      popperContentRef: p,
      /**
       * @description popperjs instance
       */
      popperInstanceRef: B,
      /**
       * @description method for updating popper
       */
      updatePopper: c,
      /**
       * @description content style
       */
      contentStyle: m
    }), (n, s) => (G(), H("div", Q({
      ref_key: "contentRef",
      ref: p
    }, e(z), {
      style: e(m),
      class: e(J),
      tabindex: "-1",
      onMouseenter: s[0] || (s[0] = (r) => n.$emit("mouseenter", r)),
      onMouseleave: s[1] || (s[1] = (r) => n.$emit("mouseleave", r))
    }), [
      X(e(W), {
        trapped: e(i),
        "trap-on-focus-in": "",
        "focus-trap-el": e(p),
        "focus-start-el": e(_),
        onFocusAfterTrapped: e(O),
        onFocusAfterReleased: e(A),
        onFocusin: e(M),
        onFocusoutPrevented: e(N),
        onReleaseRequested: e(w)
      }, {
        default: h(() => [
          g(n.$slots, "default")
        ]),
        _: 3
      }, 8, ["trapped", "focus-trap-el", "focus-start-el", "onFocusAfterTrapped", "onFocusAfterReleased", "onFocusin", "onFocusoutPrevented", "onReleaseRequested"])
    ], 16));
  }
});
export {
  Fe as default
};
