import { inject as H, ref as L, computed as E, watch as J, nextTick as W } from "vue";
import { FZ_SLIDER_INJECT_KEY as Z } from "../../../../constants/index2.js";
import { debounce as k } from "../../../../utils/lodash/index.js";
import { UPDATE_MODEL_EVENT as $, EVENT_CODE as q } from "../../../../constants/index.js";
const { left: G, down: Q, right: D, up: ee, home: oe, end: ne, pageUp: le, pageDown: te } = q, ue = (l, e, a) => {
  const r = L(), t = L(!1), c = E(() => e.value instanceof Function), s = E(() => (
    // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
    c.value && e.value(l.modelValue) || l.modelValue
  )), f = k(() => {
    a.value && (t.value = !0);
  }, 50), h = k(() => {
    a.value && (t.value = !1);
  }, 50);
  return {
    tooltip: r,
    tooltipVisible: t,
    formatValue: s,
    displayTooltip: f,
    hideTooltip: h
  };
}, de = (l, e, a) => {
  const {
    disabled: r,
    min: t,
    max: c,
    step: s,
    showTooltip: f,
    precision: h,
    sliderSize: V,
    formatTooltip: X,
    emitChange: m,
    resetSize: N,
    updateDragging: K
    // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
  } = H(Z), { tooltip: P, tooltipVisible: C, formatValue: F, displayTooltip: y, hideTooltip: b } = (
    // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
    ue(l, X, f)
  ), T = L(), g = E(() => `${(l.modelValue - t.value) / (c.value - t.value) * 100}%`), S = E(() => l.vertical ? { bottom: g.value } : { left: g.value }), x = () => {
    e.hovering = !0, y();
  }, _ = () => {
    e.hovering = !1, e.dragging || b();
  }, M = (o) => {
    r.value || (o.preventDefault(), A(o), window.addEventListener("mousemove", p), window.addEventListener("touchmove", p), window.addEventListener("mouseup", i), window.addEventListener("touchend", i), window.addEventListener("contextmenu", i), T.value.focus());
  }, w = (o) => {
    r.value || (e.newPosition = Number.parseFloat(g.value) + o / (c.value - t.value) * 100, d(e.newPosition), m());
  }, U = () => {
    w(-s.value);
  }, z = () => {
    w(s.value);
  }, B = () => {
    w(-s.value * 4);
  }, I = () => {
    w(s.value * 4);
  }, O = () => {
    r.value || (d(0), m());
  }, R = () => {
    r.value || (d(100), m());
  }, j = (o) => {
    let n = !0;
    [G, Q].includes(o.key) ? U() : [D, ee].includes(o.key) ? z() : o.key === oe ? O() : o.key === ne ? R() : o.key === te ? B() : o.key === le ? I() : n = !1, n && o.preventDefault();
  }, Y = (o) => {
    let n, u;
    return o.type.startsWith("touch") ? (u = o.touches[0].clientY, n = o.touches[0].clientX) : (u = o.clientY, n = o.clientX), {
      clientX: n,
      clientY: u
    };
  }, A = (o) => {
    e.dragging = !0, e.isClick = !0;
    const { clientX: n, clientY: u } = Y(o);
    l.vertical ? e.startY = u : e.startX = n, e.startPosition = Number.parseFloat(g.value), e.newPosition = e.startPosition;
  }, p = (o) => {
    if (e.dragging) {
      e.isClick = !1, y(), N();
      let n;
      const { clientX: u, clientY: v } = Y(o);
      l.vertical ? (e.currentY = v, n = (e.startY - e.currentY) / V.value * 100) : (e.currentX = u, n = (e.currentX - e.startX) / V.value * 100), e.newPosition = e.startPosition + n, d(e.newPosition);
    }
  }, i = () => {
    e.dragging && (setTimeout(() => {
      e.dragging = !1, e.hovering || b(), e.isClick || d(e.newPosition), m();
    }, 0), window.removeEventListener("mousemove", p), window.removeEventListener("touchmove", p), window.removeEventListener("mouseup", i), window.removeEventListener("touchend", i), window.removeEventListener("contextmenu", i));
  }, d = async (o) => {
    if (o === null || Number.isNaN(+o))
      return;
    o < 0 ? o = 0 : o > 100 && (o = 100);
    const n = 100 / ((c.value - t.value) / s.value);
    let v = Math.round(o / n) * n * (c.value - t.value) * 0.01 + t.value;
    v = Number.parseFloat(v.toFixed(h.value)), v !== l.modelValue && a($, v), !e.dragging && l.modelValue !== e.oldValue && (e.oldValue = l.modelValue), await W(), e.dragging && y(), P.value.updatePopper();
  };
  return J(
    () => e.dragging,
    (o) => {
      K(o);
    }
  ), {
    disabled: r,
    button: T,
    tooltip: P,
    tooltipVisible: C,
    showTooltip: f,
    wrapperStyle: S,
    formatValue: F,
    handleMouseEnter: x,
    handleMouseLeave: _,
    onButtonDown: M,
    onKeyDown: j,
    setPosition: d
  };
};
export {
  de as useSliderButton
};
