import { defineComponent as H, computed as r, shallowRef as M, ref as L, onMounted as X, watch as Y, onBeforeUnmount as D, openBlock as G, createElementBlock as N, normalizeStyle as U, renderSlot as j } from "vue";
import { useMutationObserver as q } from "../../../../../node_modules/.pnpm/registry.npmmirror.com_@vueuse_core@10.5.0_vue@3.3.4/node_modules/@vueuse/core/index.js";
import { Props as J } from "./index3.js";
import { reRendering as K, getStyleStr as Q, getPixelRatio as V } from "./index4.js";
import Z, { FontGap as tt } from "./index5.js";
var lt = /* @__PURE__ */ H({
  name: "FzWatermark",
  __name: "watermark",
  props: J,
  setup($) {
    const e = $, z = {
      position: "relative"
    }, B = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.color) ?? "rgba(0,0,0,.15)";
    }), h = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.fontSize) ?? 16;
    }), W = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.fontWeight) ?? "normal";
    }), C = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.fontStyle) ?? "normal";
    }), x = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.fontFamily) ?? "sans-serif";
    }), A = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.textAlign) ?? "center";
    }), R = r(() => {
      var t;
      return ((t = e.font) == null ? void 0 : t.textBaseline) ?? "top";
    }), y = r(() => e.gap[0]), k = r(() => e.gap[1]), S = r(() => y.value / 2), b = r(() => k.value / 2), _ = r(() => {
      var t;
      return ((t = e.offset) == null ? void 0 : t[0]) ?? S.value;
    }), E = r(() => {
      var t;
      return ((t = e.offset) == null ? void 0 : t[1]) ?? b.value;
    }), F = () => {
      const t = {
        zIndex: e.zIndex,
        position: "absolute",
        left: 0,
        top: 0,
        width: "100%",
        height: "100%",
        pointerEvents: "none",
        backgroundRepeat: "repeat"
      };
      let o = _.value - S.value, n = E.value - b.value;
      return o > 0 && (t.left = `${o}px`, t.width = `calc(100% - ${o}px)`, o = 0), n > 0 && (t.top = `${n}px`, t.height = `calc(100% - ${n}px)`, n = 0), t.backgroundPosition = `${o}px ${n}px`, t;
    }, f = M(null), s = M(), m = L(!1), w = () => {
      s.value && (s.value.remove(), s.value = void 0);
    }, T = (t, o) => {
      var n;
      f.value && s.value && (m.value = !0, s.value.setAttribute(
        "style",
        Q({
          ...F(),
          backgroundImage: `url('${t}')`,
          backgroundSize: `${Math.floor(o)}px`
        })
      ), (n = f.value) == null || n.append(s.value), setTimeout(() => {
        m.value = !1;
      }));
    }, I = (t) => {
      let o = 120, n = 64;
      const p = e.image, i = e.content, g = e.width, d = e.height;
      if (!p && t.measureText) {
        t.font = `${Number(h.value)}px ${x.value}`;
        const c = Array.isArray(i) ? i : [i], l = c.map((a) => {
          const u = t.measureText(a);
          return [
            u.width,
            u.fontBoundingBoxAscent + u.fontBoundingBoxDescent
          ];
        });
        o = Math.ceil(Math.max(...l.map((a) => a[0]))), n = Math.ceil(Math.max(...l.map((a) => a[1]))) * c.length + (c.length - 1) * tt;
      }
      return [g ?? o, d ?? n];
    }, P = Z(), v = () => {
      const o = document.createElement("canvas").getContext("2d"), n = e.image, p = e.content, i = e.rotate;
      if (o) {
        s.value || (s.value = document.createElement("div"));
        const g = V(), [d, c] = I(o), l = (a) => {
          const [u, O] = P(
            a || "",
            i,
            g,
            d,
            c,
            {
              color: B.value,
              fontSize: h.value,
              fontStyle: C.value,
              fontWeight: W.value,
              fontFamily: x.value,
              textAlign: A.value,
              textBaseline: R.value
            },
            y.value,
            k.value
          );
          T(u, O);
        };
        if (n) {
          const a = new Image();
          a.onload = () => {
            l(a);
          }, a.onerror = () => {
            l(p);
          }, a.crossOrigin = "anonymous", a.referrerPolicy = "no-referrer", a.src = n;
        } else
          l(p);
      }
    };
    return X(() => {
      v();
    }), Y(
      () => e,
      () => {
        v();
      },
      {
        deep: !0,
        flush: "post"
      }
    ), D(() => {
      w();
    }), q(f, (t) => {
      m.value || t.forEach((o) => {
        K(o, s.value) && (w(), v());
      });
    }, {
      attributes: !0
    }), (t, o) => (G(), N("div", {
      ref_key: "containerRef",
      ref: f,
      style: U([z])
    }, [
      j(t.$slots, "default")
    ], 4));
  }
});
export {
  lt as default
};
