import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Affix from "./src/affix";
export declare const FzAffix: Install<DefineComponent<{
    readonly zIndex: {
        readonly type: PropType<string | number>;
        readonly default: 100;
    };
    readonly target: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly position: {
        readonly type: PropType<"top" | "bottom">;
        readonly default: "top";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    scroll: ({ scrollTop, fixed }: {
        scrollTop: number;
        fixed: boolean;
    }) => boolean;
    change: (fixed: boolean) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly zIndex: {
        readonly type: PropType<string | number>;
        readonly default: 100;
    };
    readonly target: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly position: {
        readonly type: PropType<"top" | "bottom">;
        readonly default: "top";
    };
}>> & {
    onScroll?: ((args_0: {
        scrollTop: number;
        fixed: boolean;
    }) => any) | undefined;
    onChange?: ((fixed: boolean) => any) | undefined;
}, {
    readonly offset: number;
    readonly zIndex: string | number;
    readonly position: "top" | "bottom";
    readonly target: string;
}, {}>>;
export type AffixInstance = InstanceType<typeof Affix>;
export * from './src/interface';
export default FzAffix;
