import type { NumberAnimateType } from './interface';
import type { ComponentSize } from '../../..';
import type { DefineComponent, PropType, CSSProperties, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    readonly from: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly to: {
        readonly type: NumberConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<NumberAnimateType>;
        readonly default: "";
    };
    readonly duration: {
        readonly type: NumberConstructor;
        readonly default: 2000;
    };
    readonly formatter: {
        readonly type: PropType<(num: number) => string | number | null | undefined>;
        readonly default: (num: number) => string;
    };
    readonly styles: {
        readonly type: PropType<CSSProperties>;
    };
    readonly autoplay: {
        readonly type: BooleanConstructor;
        readonly default: true;
    }; /** 目标值 */
    readonly loop: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly interval: {
        readonly type: NumberConstructor;
        readonly default: 3000; /** 期望值不是数字 */
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    end: (elapsed: number) => elapsed is number;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly from: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly to: {
        readonly type: NumberConstructor;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<NumberAnimateType>;
        readonly default: "";
    };
    readonly duration: {
        readonly type: NumberConstructor;
        readonly default: 2000;
    };
    readonly formatter: {
        readonly type: PropType<(num: number) => string | number | null | undefined>;
        readonly default: (num: number) => string;
    };
    readonly styles: {
        readonly type: PropType<CSSProperties>;
    };
    readonly autoplay: {
        readonly type: BooleanConstructor;
        readonly default: true;
    }; /** 目标值 */
    readonly loop: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly interval: {
        readonly type: NumberConstructor;
        readonly default: 3000; /** 期望值不是数字 */
    };
}>> & {
    onEnd?: ((elapsed: number) => any) | undefined;
}, {
    readonly size: ComponentSize;
    readonly type: NumberAnimateType;
    readonly formatter: (num: number) => string | number | null | undefined;
    readonly from: number;
    readonly duration: number;
    readonly autoplay: boolean;
    readonly loop: boolean;
    readonly interval: number;
}, {}>;
export default _sfc_main;
