import type { Ref } from 'vue';
import type { Instance, Modifier, Obj, Options, State, VirtualElement, Placement } from '@fz-design/fz-popperjs';
export type PopperInstance = Instance;
export type PopperModifier<N, T extends Obj> = Modifier<N, T>;
export type PopperOptions = Options;
export type PopperState = State;
export type PopperVirtualElement = VirtualElement;
export type PopperPlacement = Placement;
type ElementType = HTMLElement | undefined;
type ReferenceElement = ElementType | PopperVirtualElement;
export type PartialOptions = Partial<PopperOptions>;
export declare const usePopper: (referenceElementRef: Ref<ReferenceElement>, popperElementRef: Ref<ElementType>, opts?: Ref<PartialOptions> | PartialOptions) => any;
export declare const popperPlacements: Placement[];
export type UsePopperReturn = ReturnType<typeof usePopper>;
export {};
